<!-- ============================================================== -->
<!-- Marina (23/08/2019)  Composición de las lineas de la tabla -->
<!-- ============================================================== -->
<?php
  $parametrosPlantilla = Theme::getLastParamList();
  $nombreTabla = Theme::getLastParam('nombreTabla');
  $camposTabla = Theme::getLastParam('camposTabla');
  $filasTabla = Theme::getLastParam('filasTabla');
  $enviado = 0;

  $params = $parametrosPlantilla;
  $ficheroLineas = 'plantilla_seccion_lista_acciones';
  $ficheroLineasPerso = $ficheroLineas . '_' . strtolower($nombreTabla);
  $params['fileName'] = (Theme::findFile($ficheroLineasPerso . '.php') != NULL) ? ($ficheroLineasPerso .'.php') : ($ficheroLineas . '.php');
  
  $sitio = 'lineas_tabla';
  $params['sitio'] = $sitio;

  //vamos a coger la lista de codigos
  $lista_codigos = Getter::get('check_linea', array());

  foreach($filasTabla as $indiceFila => $fila){
    //Marina(27/Noviembre/19) Comprobamos si el email se ha enviado
    $enviado = intVal($fila->getEnviado());
    $params['enviado'] = $enviado;
    //Marina(27/Noviembre/19) Si no se ha enviado añadimos la clase no_enviado para marcar en rojo
?>
  <tr class="<?=($enviado == 0) ? 'no_enviado' : '';?>">
    <?php
    //Marina(27/Noviembre/19) incluimos el fichero que contiene el input y los botones para cada fila
      $id_fila = $fila->getID();
      $params['id_fila'] = $id_fila;

      Theme::include_file($params);
    ?>

    <?php
    foreach($camposTabla as $campo => $valor){
      $nombreFuncion = 'get' . ucfirst($valor);
      //var_dump($nombreFuncion);
      ?>
      <th scope="row" class="<?=($valor == 'fecha' ? 'text-center' : '');?>">
        <?php
        if($valor == 'fecha'){
          if($enviado == 0){
            ?>
            <i class="mdi mdi-email-alert" title="<?=traducir('No enviado');?>"></i>
            <?php
          }else{
            ?>
            <i class="mdi mdi-email-outline" title="<?=traducir('Enviado');?>"></i>
            <?php
          }
        }
      ?>
        <?=$fila->$nombreFuncion();?>

      </th>
    <?php
    }
    ?>
  </tr>
<?php
  }
?>